ANT build runner in TC 6.0.3

I have a clean installation of TC 6.0.3 (war to tomcat 6.x on linux).  After running TC 4.5 for a couple of years without issue, I've recreated my desired project settings and installed the buildAgent on the same linux box as the default agent.  My war project is built with Ant.  The agent registers with the web application just fine, but lists the Ant runner as incompatible.  When I start the buildAgent, the plugins directory does not contain the ant plugin.  I have stopped the agent, removed the plugins directory, restarted, with no change.  Is this a not-so-subtle way to tell me that I should be using maven?  :)

I should also note that I got the build agent from the deployed war /update directory.

3 comments
Comment actions Permalink

Please attach teamcity-agent.log.

0
Comment actions Permalink

Hi Pavel, I've attached the log.



Attachment(s):
teamcity-agent.log.zip
0
Comment actions Permalink

I decided to ditch Ant and use Maven.

0

Please sign in to leave a comment.